import request from '@/utils/request'
// 订单付款获取用户详细信息
export function getSysDeptInfo(query) {
	return request({
		url: '/system/goodsPayment/getSysDeptInfo',
		params: query,
		method: 'get'
	})
}
// 订单结算获取用户详细信息
export function getDeptInfo() {
	return request({
		url: '/system/goodsPayment/getDeptInfo',
		method: 'get'
	})
}
// 获取用户详细信息
export function getInfo() {
	return request({
		url: '/system/user/getInfo',
		method: 'get'
	})
}
//新增app版本信息
export function add(query) {
	return request({
		url: '/system/tProductVersionInfo/add',
		method: 'post',
		params: query
	})
}
//查询app版本信息
export function accountMonitoring(query) {
	return request({
		url: '/system/sms/list',
		method: 'get',
		params: query
	})
}
//查询app版本信息
export function getPhone(query) {
	return request({
		url: '/system/tProductVersionInfo/queryById',
		method: 'get',
		params: query
	})
}
//修改app版本信息
export function upData(query) {
	return request({
		url: '/system/tProductVersionInfo/edit',
		method: 'put',
		params: query
	})
}


// 删除手机号信息
export function deletePhone(id) {
	return request({
		url: '/system/tBusGameBindingPhone/remove/'+id,
		method: 'delete',
	})
}
// 查看账号信息
export function view(query) {
	return request({
		url: '/system/accountMonitoring/view',
		method: 'post',
		params: query
	})
}